vty-6.4: A simple terminal UI library

Safe Haskell | None
Language | Haskell2010

Graphics.Vty.PictureToSpans

Description

Transforms an image into rows of operations.

Synopsis

- displayOpsForPic :: Picture -> DisplayRegion -> DisplayOps

# Documentation

displayOpsForPic :: Picture -> DisplayRegion -> DisplayOps Source #

Produces the span ops that will render the given picture, possibly cropped or padded, into the specified region.